import { FieldTextInput, Workspace } from '@kano/kwc-blockly/blockly.js';
export declare class TextareaField extends FieldTextInput {
    workspace_?: Workspace;
    constructor(text: string);
    showEditor_(): void;
    onHtmlInputKeyDown_(e: KeyboardEvent): void;
}
